<script setup lang="ts">
import { TagsInput as ShadcnTagsInput } from '@/components/core/tags-input';
import { type UiTagsInputProps } from './types';

defineOptions({
  name: 'UiTagsInput',
});

const props = withDefaults(defineProps<UiTagsInputProps>(), {
  disabled: false,
});

const model = defineModel<string[]>({ default: [] });
</script>

<template>
  <ShadcnTagsInput #default="slotProps" v-model="model" v-bind="props">
    <slot v-bind="slotProps" />
  </ShadcnTagsInput>
</template>
